<wo:if condition = "$isAffichageRepartitionCroisee"><wo:RechercheEnseignantToutesComposantes qualifier="$qualifierRepartitionCroisee"/></wo:if>

<wo:form>
<wo:AjaxUpdateContainer id = "$tableViewContainerId">
  <center>
    <wo:CktlAjaxSimpleTableView id = "$tableViewId" displayGroup = "$displayGroup" item = "$currentItem" paginatorHasForm = "false"
     selectionMultipleEnabled = "false" triMultiColonneEnabled = "$true" showFilters = "$true" useFixedHeader = "false" updateContainerID ="$containerParent">
      <wo:CktlAjaxSimpleTableViewHeader>
        <tr>
          <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "nom" label = "Nom" rowspan = "2" />
          <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "prenom" label = "Prénom" rowspan = "2" />
          <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "statut" label = "Statut" rowspan = "2" />
          <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "composante" label = "Composante" rowspan = "2" />
          <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "departement" label = "Département" rowspan = "2" />
          <wo:CktlAjaxSimpleTableViewColumn label = "Delta" rowspan = "2" />
          <wo:CktlAjaxSimpleTableViewColumn label = "Heures souhaitées" colspan = "$nbColonnesAffichees" />
          <wo:if condition = "$isTypeFichePrevisionnel" negate = "true">
          	<wo:CktlAjaxSimpleTableViewColumn label = "Heures réalisées" colspan = "$nbColonnesAffichees" />
          </wo:if>
        </tr>
        <tr>
          <wo:repetition list = "$listeAPs" item = "$currentAP">
            <th><wo:string value = "$currentAP.typeAP.code" /></th>
          </wo:repetition>
          <wo:if condition = "$isTypeFichePrevisionnel" negate = "true">
          <wo:repetition list = "$listeAPs" item = "$currentAP">
            <th><wo:string value = "$currentAP.typeAP.code" /></th>
          </wo:repetition>
          </wo:if>
        </tr>
      </wo:CktlAjaxSimpleTableViewHeader>
      <wo:CktlAjaxSimpleTableViewFilters>
        <th><wo:CktlAjaxFilterTextField value = "$tokenNom" action = "$filtrer" updateContainerID = "$tableViewContainerId" timeout = "$application.ajaxCktlFilterTimeout" /></th>
        <th><wo:CktlAjaxFilterTextField value = "$tokenPrenom" action = "$filtrer" updateContainerID = "$tableViewContainerId" timeout = "$application.ajaxCktlFilterTimeout" /></th>
        <th />
        <th />
        <th />
        <th />
        <wo:repetition list = "$listeAPs" item = "$currentAP">
        	<th />
        </wo:repetition> 
        <wo:if condition = "$isTypeFichePrevisionnel" negate = "true">
        <wo:repetition list = "$listeAPs" item = "$currentAP">
       		<th />
        </wo:repetition> 
        </wo:if>
      </wo:CktlAjaxSimpleTableViewFilters>
      <wo:CktlAjaxSimpleTableViewBody>
        <td align="left"><wo:string value = "$currentItem.nom.toUpperCase" /></td>
        <td align="left"><wo:string value = "$currentItem.prenom" /></td>
        <td align="left"><wo:string value = "$currentItem.statut" /></td>
        <td align="left"><wo:string value = "$currentItem.composante.lcStructure" /></td>
        <td align="left"><wo:string value = "$currentItem.departement.lcStructure" /></td>
        <td class = "cktl-right-align peche-colored-number"><wo:CktlNumber value = "$currentItem.deltaAttribue" /></td>
        <wo:repetition list = "$listeAPs" item = "$currentAP"> 
        	<td class = "cktl-right-align"><wo:CktlNumber value = "$nbHeuresSouhaitees" /></td>
          	<wo:if condition = "$isTypeFichePrevisionnel" negate = "true">
          		<td class = "cktl-right-align"><wo:CktlNumber value = "$nbHeuresRealisees" /></td>
          	</wo:if>
        </wo:repetition>
      </wo:CktlAjaxSimpleTableViewBody>
    </wo:CktlAjaxSimpleTableView>
  </center>
</wo:AjaxUpdateContainer>
</wo:form>